Bug 124777 - timidity may seqfault if previous instance was stopped with ctrl-C
timidity may seqfault if previous instance was stopped with ctrl-C
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 18:14 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 11:29:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-05-29 18:14:38 EDT
Description of problem:

After breaking few times a timidity play with ^C every next
invocation of timidity ends up with a "Segmentation fault".
Once this starts happening it seems that the only way to
get out that cycle is to play something else from root account.
This seems to help so this may be a driver/hardware problem
but timidity still should not crash.

82801DB (ICH4) AC'97 Audio Controller with snd_intel8x0 driver
module.

Version-Release number of selected component (if applicable):
timidity++-2.11.3-9

How reproducible:
This is somewhat difficult to reproduce as a behaviour is not
consistent

Additional info:
I did not try on x86_64 so I do not know a behaviour there.

A quantity of legally distributable midi files can be found,
for example, here:  http://www.sankey.ws/harpsichord.html
Comment 1 Thomas Woerner 2004-07-01 11:29:08 EDT
Fixed in rawhide in rpm timidity++-2.13.0-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.